version-graph
Create a version-graph branch
POST
/
api
/
v1
/
version-graph
/
branches
Create a version-graph branch
curl --request POST \
--url https://api.nitsor.com/api/v1/version-graph/branches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromBranchId": "<string>",
"idempotencyKey": "<string>",
"name": "<string>",
"projectId": "<string>",
"fromCommitId": "<string>"
}
'import requests
url = "https://api.nitsor.com/api/v1/version-graph/branches"
payload = {
"fromBranchId": "<string>",
"idempotencyKey": "<string>",
"name": "<string>",
"projectId": "<string>",
"fromCommitId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromBranchId: '<string>',
idempotencyKey: '<string>',
name: '<string>',
projectId: '<string>',
fromCommitId: '<string>'
})
};
fetch('https://api.nitsor.com/api/v1/version-graph/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/version-graph/branches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fromBranchId' => '<string>',
'idempotencyKey' => '<string>',
'name' => '<string>',
'projectId' => '<string>',
'fromCommitId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/version-graph/branches"
payload := strings.NewReader("{\n \"fromBranchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"name\": \"<string>\",\n \"projectId\": \"<string>\",\n \"fromCommitId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/version-graph/branches")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fromBranchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"name\": \"<string>\",\n \"projectId\": \"<string>\",\n \"fromCommitId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/version-graph/branches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fromBranchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"name\": \"<string>\",\n \"projectId\": \"<string>\",\n \"fromCommitId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"branch": {
"accountId": "<string>",
"branchId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByPrincipalSubject": "<string>",
"createdByPrincipalType": "agent",
"createdFromCommitId": "<string>",
"headCommitId": "<string>",
"headEventSeq": 123,
"lastEventSeq": 123,
"name": "<string>",
"projectId": "<string>",
"protected": true,
"updatedAt": "2023-11-07T05:31:56Z",
"createdByPrincipalIssuer": "<string>"
},
"commit": {
"accountId": "<string>",
"ambiguousBase": true,
"authorPrincipalSubject": "<string>",
"authorPrincipalType": "agent",
"branchId": "<string>",
"commitId": "<string>",
"committedAt": "2023-11-07T05:31:56Z",
"contentRoot": "<string>",
"eventRange": {
"fromSeq": 123,
"toSeq": 123
},
"eventRangeDigest": "<string>",
"kind": "annotate",
"message": "<string>",
"parentCommitIds": [
"<string>"
],
"projectId": "<string>",
"authorPrincipalIssuer": "<string>",
"authorPrincipalName": "<string>",
"authorPrincipalEmail": "<string>",
"messageDisplay": "<string>"
}
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}Authorizations
Body
application/json
⌘I
Create a version-graph branch
curl --request POST \
--url https://api.nitsor.com/api/v1/version-graph/branches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fromBranchId": "<string>",
"idempotencyKey": "<string>",
"name": "<string>",
"projectId": "<string>",
"fromCommitId": "<string>"
}
'import requests
url = "https://api.nitsor.com/api/v1/version-graph/branches"
payload = {
"fromBranchId": "<string>",
"idempotencyKey": "<string>",
"name": "<string>",
"projectId": "<string>",
"fromCommitId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fromBranchId: '<string>',
idempotencyKey: '<string>',
name: '<string>',
projectId: '<string>',
fromCommitId: '<string>'
})
};
fetch('https://api.nitsor.com/api/v1/version-graph/branches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.nitsor.com/api/v1/version-graph/branches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'fromBranchId' => '<string>',
'idempotencyKey' => '<string>',
'name' => '<string>',
'projectId' => '<string>',
'fromCommitId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nitsor.com/api/v1/version-graph/branches"
payload := strings.NewReader("{\n \"fromBranchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"name\": \"<string>\",\n \"projectId\": \"<string>\",\n \"fromCommitId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.nitsor.com/api/v1/version-graph/branches")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fromBranchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"name\": \"<string>\",\n \"projectId\": \"<string>\",\n \"fromCommitId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.nitsor.com/api/v1/version-graph/branches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fromBranchId\": \"<string>\",\n \"idempotencyKey\": \"<string>\",\n \"name\": \"<string>\",\n \"projectId\": \"<string>\",\n \"fromCommitId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"branch": {
"accountId": "<string>",
"branchId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdByPrincipalSubject": "<string>",
"createdByPrincipalType": "agent",
"createdFromCommitId": "<string>",
"headCommitId": "<string>",
"headEventSeq": 123,
"lastEventSeq": 123,
"name": "<string>",
"projectId": "<string>",
"protected": true,
"updatedAt": "2023-11-07T05:31:56Z",
"createdByPrincipalIssuer": "<string>"
},
"commit": {
"accountId": "<string>",
"ambiguousBase": true,
"authorPrincipalSubject": "<string>",
"authorPrincipalType": "agent",
"branchId": "<string>",
"commitId": "<string>",
"committedAt": "2023-11-07T05:31:56Z",
"contentRoot": "<string>",
"eventRange": {
"fromSeq": 123,
"toSeq": 123
},
"eventRangeDigest": "<string>",
"kind": "annotate",
"message": "<string>",
"parentCommitIds": [
"<string>"
],
"projectId": "<string>",
"authorPrincipalIssuer": "<string>",
"authorPrincipalName": "<string>",
"authorPrincipalEmail": "<string>",
"messageDisplay": "<string>"
}
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}{
"requestId": "<string>",
"retryable": true,
"code": "AUTHORIZATION_DENIED",
"message": "<string>",
"missingScope": "<string>",
"reason": "<string>",
"decisionId": "<string>"
}